## django-cas-server 0.9.0

=== Makefile ===
.PHONY: build dist docs
VERSION=`python setup.py -V`

build:
	python setup.py build

install: dist
	pip -V
	pip install --no-cache-dir --no-deps --upgrade --force-reinstall --find-links ./dist/django-cas-server-${VERSION}.tar.gz django-cas-server

uninstall:
	pip uninstall django-cas-server || true

clean_pyc:
	find ./ -name '*.pyc' -delete
	find ./ -name __pycache__ -delete
clean_build:
	rm -rf build django_cas_server.egg-info dist
clean_tox:
	rm -rf .tox tox_logs
clean_test_venv:
	rm -rf test_venv
clean_coverage:
	rm -rf coverage.xml .coverage htmlcov
clean_tild_backup:
	find ./ -name '*~' -delete
clean_docs:
	rm -rf docs/_build/ docs/django.inv
clean_eggs:
	rm -rf .eggs/

clean: clean_pyc clean_build clean_coverage clean_tild_backup

clean_all: clean clean_tox clean_test_venv clean_docs clean_eggs

dist:
	python setup.py sdist

test_venv/bin/python:
	virtualenv test_venv
	test_venv/bin/pip install -U --requirement requirements-dev.txt 'Django<1.11'

test_venv/cas/manage.py: test_venv
	mkdir -p test_venv/cas
	test_venv/bin/django-admin startproject cas test_venv/cas
	ln -s ../../cas_server test_venv/cas/cas_server
	sed -i "s/'django.contrib.staticfiles',/'django.contrib.staticfiles',\n    'cas_server',/" test_venv/cas/cas/settings.py
	sed -i "s/'django.middleware.clickjacking.XFrameOptionsMiddleware',/'django.middleware.clickjacking.XFrameOptionsMiddleware',\n    'django.middleware.locale.LocaleMiddleware',/" test_venv/cas/cas/settings.py
	sed -i 's/from django.conf.urls import url/from django.conf.urls import url, include/' test_venv/cas/cas/urls.py
	sed -i "s@url(r'^admin/', admin.site.urls),@url(r'^admin/', admin.site.urls),\n    url(r'^', include('cas_server.urls', namespace='cas_server')),@" test_venv/cas/cas/urls.py
	test_venv/bin/python test_venv/cas/manage.py migrate
	test_venv/bin/python test_venv/cas/manage.py createsuperuser

test_venv: test_venv/bin/python

test_project: test_venv/cas/manage.py
	@echo "##############################################################"
	@echo "A test django project was created in $(realpath test_venv/cas)"

run_server: test_project
	test_venv/bin/python test_venv/cas/manage.py runserver

run_tests: test_venv
	python setup.py check --restructuredtext --stric
	test_venv/bin/py.test -rw -x --cov=cas_server --cov-report html --cov-report term
	rm htmlcov/coverage_html.js  # I am really pissed off by those keybord shortcuts

test_venv/bin/sphinx-build: test_venv
	test_venv/bin/pip install Sphinx sphinx_rtd_theme

docs: test_venv/bin/sphinx-build
	bash -c "source test_venv/bin/activate; cd docs; make html"

publish_pypi_release:
	python setup.py sdist bdist_wheel upload --sign

=== requirements.txt ===
Django >= 1.7.1,<1.11
setuptools>=5.5
requests>=2.4
requests_futures>=0.9.5
lxml>=3.4
six>=1.8

=== debian/changelog ===
django-cas-server (0.9.0-1) unstable; urgency=medium

  * Initial release.  (Closes: #905812)

 -- William Blough <bblough@debian.org>  Thu, 09 Aug 2018 13:41:21 -0400

=== debian/control ===
Source: django-cas-server
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: William Blough <bblough@debian.org>
Build-Depends: debhelper (>=11),
               dh-python,
               python-all,
               python-django,
               python-pytest-runner,
               python-requests-futures,
               python-setuptools,
               python3-all,
               python3-django,
               python3-pytest-runner,
               python3-requests-futures,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-lxml
Standards-Version: 4.2.0
Homepage: https://github.com/nitmir/django-cas-server
Vcs-Git: https://salsa.debian.org/python-team/modules/django-cas-server.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-cas-server
Testsuite: autopkgtest-pkg-python

Package: python3-django-cas-server
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-django-cas-server-doc
Description: CAS server library for Django
 CAS Server is a Django application implementing the Central Authentication
 Service (CAS) Protocol version 3.0 specification.
 .
 This package installs the library for Python 3.

Package: python3-django-cas-server-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: CAS server library for Django (documentation)
 CAS Server is a Django application implementing the Central Authentication
 Service (CAS) Protocol version 3.0 specification.
 .
 This package installs the library documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=django-cas-server
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ -d debian/doctrees build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ -d debian/doctrees build/man # Manpage generator


override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/doctrees

## django-cas-server 1.1.0

=== Makefile ===
--- 
+++ 
@@ -37,8 +37,8 @@
 	python setup.py sdist
 
 test_venv/bin/python:
-	virtualenv test_venv
-	test_venv/bin/pip install -U --requirement requirements-dev.txt 'Django<1.11'
+	python3 -m venv test_venv
+	test_venv/bin/pip install -U --requirement requirements-dev.txt 'Django>=2.0,<2.1'
 
 test_venv/cas/manage.py: test_venv
 	mkdir -p test_venv/cas

=== requirements.txt ===
Django >= 1.11,<2.2
setuptools>=5.5
requests>=2.4
requests_futures>=0.9.5
lxml>=3.4
six>=1.8

=== debian/changelog ===
django-cas-server (1.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ William Blough ]
  * Update to latest upstream release (1.1.0)
  * Add upstream signing key
  * Adjust debian/watch to check signature
  * Update standards version to 4.4.0 (no changes needed)
  * Only require sphinxdoc module when building docs
  * Remove python2 dependencies
  * Update dh compat to version 12
  * Refresh quilt patches

 -- William Blough <bblough@debian.org>  Fri, 26 Jul 2019 22:01:31 -0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,8 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: William Blough <bblough@debian.org>
-Build-Depends: debhelper (>=11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-django,
-               python-pytest-runner,
-               python-requests-futures,
-               python-setuptools,
                python3-all,
                python3-django,
                python3-pytest-runner,
@@ -18,7 +13,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-lxml
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/nitmir/django-cas-server
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-cas-server.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-cas-server

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,13 @@
 export PYBUILD_NAME=django-cas-server
 export PYBUILD_DISABLE=test
 
+DH_FLAGS=--with python3 --buildsystem=pybuild
+
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ $(DH_FLAGS)
+
+%-indep:
+	dh $@ $(DH_FLAGS) --with sphinxdoc
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

## django-cas-server 1.2.0

=== requirements.txt ===
Django >= 1.11,<3.1
setuptools>=5.5
requests>=2.4
requests_futures>=0.9.5
lxml>=3.4
six>=1.8

=== debian/changelog ===
django-cas-server (1.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ William Blough ]
  * New upstream version 1.2.0
  * Remove sphinx24_fixes patch (applied upstream)
  * Run upstream tests via autopkgtest

 -- William Blough <bblough@debian.org>  Thu, 17 Dec 2020 15:49:26 -0500

django-cas-server (1.1.0-2) unstable; urgency=medium

  [ William Blough ]
  * Fix FTBFS with Sphinx 2.4.  Closes: 955118
  * Specify import name for autopkgtest
  * Update to Standards-Version 4.5.0 (no changes)
  * Update to debhelper 13

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- William Blough <bblough@debian.org>  Thu, 02 Jul 2020 13:21:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: django-cas-server
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: William Blough <bblough@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-django,
@@ -13,10 +13,10 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-lxml
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/nitmir/django-cas-server
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-cas-server.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-cas-server
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-cas-server.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-cas-server
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-django-cas-server

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/django-cas-server/django-cas-server-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-cas-server 1.3.1

=== requirements.txt ===
Django >= 1.11,<3.3
setuptools>=5.5
requests>=2.4
requests_futures>=0.9.5
lxml>=3.4
six>=1.8

=== debian/changelog ===
django-cas-server (1.3.1-1) unstable; urgency=medium

  * Team upload

  * d/gbp.conf: Update content for easier packaging
  * New upstream version 1.3.1
    (Closes: #961067)
  * Rebuild patch queue from patchqueue branch
  * d/watch: Update to version 4
  * Running wrap-and-sort -ast
  * d/control: Add new B-D to build the documentation
  * d/control: Remove obsolet Testsuite entry
  * autopkgtest: Rename test script due lintian warning
  * python3-django-cas-server-doc: Use dh_sphinxdoc
  * d/control: Update Standards-Version to 4.6.0
  * d/control: Adding entry Rules-Requires-Root: no
  * Remove d/u/signing-key.asc

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 13 Sep 2021 18:05:17 +0200

=== debian/control ===
Source: django-cas-server
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 William Blough <bblough@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python-django-doc,
 python3-all,
 python3-django,
 python3-lxml,
 python3-pytest-runner,
 python3-requests-futures,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/nitmir/django-cas-server
Vcs-Git: https://salsa.debian.org/python-team/packages/django-cas-server.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-cas-server

Package: python3-django-cas-server
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-django-cas-server-doc,
Description: CAS server library for Django
 CAS Server is a Django application implementing the Central Authentication
 Service (CAS) Protocol version 3.0 specification.
 .
 This package installs the library for Python 3.

Package: python3-django-cas-server-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: CAS server library for Django (documentation)
 CAS Server is a Django application implementing the Central Authentication
 Service (CAS) Protocol version 3.0 specification.
 .
 This package installs the library documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=django-cas-server
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ -d debian/doctrees $(CURDIR)/debian/python3-django-cas-server-doc/usr/share/doc/python3-django-cas-server/html
	PYTHONPATH=. python3 -m sphinx -b man -N docs/ -d debian/doctrees $(CURDIR)/debian/python3-django-cas-server-doc/usr/share/doc/python3-django-cas-server/man
	dh_sphinxdoc
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/doctrees

=== debian/tests/control ===
Tests: run-test-suite.sh
Depends:
 python3-django-cas-server,
 python3-mock,
 python3-pytest,
 python3-pytest-django,

## django-cas-server 2.0.0

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 .PHONY: build dist docs
-VERSION=`python setup.py -V`
+VERSION=`python3 setup.py -V`
 
 build:
-	python setup.py build
+	python3 setup.py build
 
 install: dist
-	pip -V
-	pip install --no-cache-dir --no-deps --upgrade --force-reinstall --find-links ./dist/django-cas-server-${VERSION}.tar.gz django-cas-server
+	pip3 -V
+	pip3 install --no-cache-dir --no-deps --upgrade --force-reinstall --find-links ./dist/django-cas-server-${VERSION}.tar.gz django-cas-server
 
 uninstall:
-	pip uninstall django-cas-server || true
+	pip3 uninstall django-cas-server || true
 
 clean_pyc:
 	find ./ -name '*.pyc' -delete
@@ -34,11 +34,11 @@
 clean_all: clean clean_tox clean_test_venv clean_docs clean_eggs
 
 dist:
-	python setup.py sdist
+	python3 setup.py sdist
 
 test_venv/bin/python:
 	python3 -m venv test_venv
-	test_venv/bin/pip install -U --requirement requirements-dev.txt 'Django>=2.0,<2.1'
+	test_venv/bin/pip install -U --requirement requirements-dev.txt 'Django>=3.2,<3.3'
 
 test_venv/cas/manage.py: test_venv
 	mkdir -p test_venv/cas
@@ -61,7 +61,7 @@
 	test_venv/bin/python test_venv/cas/manage.py runserver
 
 run_tests: test_venv
-	python setup.py check --restructuredtext --stric
+	python3 setup.py check --restructuredtext --stric
 	test_venv/bin/py.test -rw -x --cov=cas_server --cov-report html --cov-report term
 	rm htmlcov/coverage_html.js  # I am really pissed off by those keybord shortcuts
 
@@ -72,4 +72,4 @@
 	bash -c "source test_venv/bin/activate; cd docs; make html"
 
 publish_pypi_release:
-	python setup.py sdist bdist_wheel upload --sign
+	python3 setup.py sdist bdist_wheel upload --sign

=== requirements.txt ===
Django >= 1.11,<4.2
setuptools>=5.5
requests>=2.4
requests_futures>=0.9.5
lxml>=3.4
six>=1.8

=== debian/changelog ===
django-cas-server (2.0.0-2) unstable; urgency=medium

  * Team upload
  * [aafa77d] d/control: Use dh-sequense-* and add BuildProfileSpecs
  * [fa6c0de] d/control: Add Multi-Arch: foreign to -doc package
  * [960b5f9] d/control: Sort binary packages alphabetical
  * [d55e9f7] d/rules: Drop explicit usage of --with
  * [37f3170] autopkgtest: Tune setup to run on all Python versions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 Dec 2022 09:38:21 +0100

django-cas-server (2.0.0-1) unstable; urgency=medium

  * Team upload
  * [50b64c1] New upstream version 2.0.0
  * [d3d5441] d/control: Update Standards-Version to 4.6.1
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 21 Oct 2022 16:19:38 +0200

=== debian/control ===
Source: django-cas-server
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 William Blough <bblough@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python-django-doc <!nodoc>,
 python3-all,
 python3-django <!nodoc>,
 python3-lxml,
 python3-mock <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-django <!nocheck>,
 python3-pytest-runner <!nocheck>,
 python3-requests-futures,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/nitmir/django-cas-server
Vcs-Git: https://salsa.debian.org/python-team/packages/django-cas-server.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-cas-server

Package: python3-django-cas-server-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: CAS server library for Django (documentation)
 CAS Server is a Django application implementing the Central Authentication
 Service (CAS) Protocol version 3.0 specification.
 .
 This package installs the library documentation.

Package: python3-django-cas-server
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-django-cas-server-doc,
Description: CAS server library for Django
 CAS Server is a Django application implementing the Central Authentication
 Service (CAS) Protocol version 3.0 specification.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Tests: run-test-suite.sh
Depends:
 python3-all,
 python3-mock,
 python3-pytest,
 python3-pytest-django,
 @,
Restrictions: allow-stderr

=== debian/watch ===
# watch file for python-django-cas-server

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/django-cas-server-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/; \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/nitmir/django-cas-server.git \
      refs/tags/v?(\d[\d\.]+)

## django-cas-server 2.1.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,10 @@
 .PHONY: build dist docs
 VERSION=`python3 setup.py -V`
+
+WHL_FILES := $(wildcard dist/*.whl)
+WHL_ASC := $(WHL_FILES:=.asc)
+DIST_FILE := $(wildcard dist/*.tar.gz)
+DIST_ASC := $(DIST_FILE:=.asc)
 
 build:
 	python3 setup.py build
@@ -35,10 +40,11 @@
 
 dist:
 	python3 setup.py sdist
+	python3 setup.py bdist_wheel
 
 test_venv/bin/python:
 	python3 -m venv test_venv
-	test_venv/bin/pip install -U --requirement requirements-dev.txt 'Django>=3.2,<3.3'
+	test_venv/bin/pip install -U --requirement requirements-dev.txt 'Django>=4.2,<4.3'
 
 test_venv/cas/manage.py: test_venv
 	mkdir -p test_venv/cas
@@ -46,8 +52,8 @@
 	ln -s ../../cas_server test_venv/cas/cas_server
 	sed -i "s/'django.contrib.staticfiles',/'django.contrib.staticfiles',\n    'cas_server',/" test_venv/cas/cas/settings.py
 	sed -i "s/'django.middleware.clickjacking.XFrameOptionsMiddleware',/'django.middleware.clickjacking.XFrameOptionsMiddleware',\n    'django.middleware.locale.LocaleMiddleware',/" test_venv/cas/cas/settings.py
-	sed -i 's/from django.conf.urls import url/from django.conf.urls import url, include/' test_venv/cas/cas/urls.py
-	sed -i "s@url(r'^admin/', admin.site.urls),@url(r'^admin/', admin.site.urls),\n    url(r'^', include('cas_server.urls', namespace='cas_server')),@" test_venv/cas/cas/urls.py
+	sed -i 's/from django.urls import path/from django.urls import path, include/' test_venv/cas/cas/urls.py
+	sed -i "s@path('admin/', admin.site.urls),@path('admin/', admin.site.urls),\n    path('', include('cas_server.urls', namespace='cas_server')),@" test_venv/cas/cas/urls.py
 	test_venv/bin/python test_venv/cas/manage.py migrate
 	test_venv/bin/python test_venv/cas/manage.py createsuperuser
 
@@ -71,5 +77,13 @@
 docs: test_venv/bin/sphinx-build
 	bash -c "source test_venv/bin/activate; cd docs; make html"
 
-publish_pypi_release:
-	python3 setup.py sdist bdist_wheel upload --sign
+sign_release: $(WHL_ASC) $(DIST_ASC)
+
+dist/%.asc:
+	gpg --detach-sign -a $(@:.asc=)
+
+test_venv/bin/twine: test_venv
+	test_venv/bin/pip install twine
+
+publish_pypi_release: test_venv test_venv/bin/twine dist sign_release
+	test_venv/bin/twine upload --sign dist/*

=== requirements.txt ===
Django >= 1.11,<4.3
setuptools>=5.5
requests>=2.4
requests_futures>=0.9.5
lxml>=3.4
six>=1.8

=== debian/changelog ===
django-cas-server (2.1.0-3) unstable; urgency=medium

  * Team upload.
  * Remove usage of python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Dec 2024 21:23:18 +0100

django-cas-server (2.1.0-2) unstable; urgency=medium

  * Team upload.
  * Add dependency on python3-legacy-cgi (Closes: #1084538)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Nov 2024 15:14:08 +0100

django-cas-server (2.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.1.0
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Tue, 20 Aug 2024 11:27:23 +0200

django-cas-server (2.0.0-3) unstable; urgency=medium

  * Team upload
  * Refresh old patches
  * Remove python3-six dependency (Closes: #1073365)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Jun 2024 23:14:14 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  python-django-doc <!nodoc>,
  python3-all,
  python3-django <!nodoc>,
+ python3-legacy-cgi,
  python3-lxml,
- python3-mock <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-django <!nocheck>,
  python3-pytest-runner <!nocheck>,
@@ -42,6 +42,7 @@
 Package: python3-django-cas-server
 Architecture: all
 Depends:
+ python3-legacy-cgi,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
@@ -49,5 +50,3 @@
 Description: CAS server library for Django
  CAS Server is a Django application implementing the Central Authentication
  Service (CAS) Protocol version 3.0 specification.
- .
- This package installs the library for Python 3.

=== debian/tests/control ===
Tests: run-test-suite.sh
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-django,
 @,
Restrictions: allow-stderr

## django-cas-server 3.1.0

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 clean_tild_backup:
 	find ./ -name '*~' -delete
 clean_docs:
-	rm -rf docs/_build/ docs/django.inv
+	rm -rf docs/_build/ docs/django.inv docs/python.inv
 clean_eggs:
 	rm -rf .eggs/
 
@@ -44,7 +44,7 @@
 
 test_venv/bin/python:
 	python3 -m venv test_venv
-	test_venv/bin/pip install -U --requirement requirements-dev.txt 'Django>=4.2,<4.3'
+	test_venv/bin/pip install -U --requirement requirements-dev.txt 'Django>=5.2,<5.3'
 
 test_venv/cas/manage.py: test_venv
 	mkdir -p test_venv/cas
@@ -72,7 +72,7 @@
 	rm htmlcov/coverage_html.js  # I am really pissed off by those keybord shortcuts
 
 test_venv/bin/sphinx-build: test_venv
-	test_venv/bin/pip install Sphinx sphinx_rtd_theme
+	test_venv/bin/pip install -r docs/requirements.txt
 
 docs: test_venv/bin/sphinx-build
 	bash -c "source test_venv/bin/activate; cd docs; make html"

=== requirements.txt ===
Django >= 1.11,<5.3
setuptools>=5.5
requests>=2.4
requests_futures>=0.9.5
lxml>=3.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-cas-server.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-cas-server.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-cas-server"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-cas-server"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
django-cas-server (3.1.0-2) unstable; urgency=medium

  * Team upload.
  * Replace "py.test-3" compat symlink usage with canonical "pytest"
  * Apply Multi-Arch: hint
  * Use dh-sequence-python3
  * Re-add lost changelog entries

 -- Alexandre Detiste <tchet@debian.org>  Tue, 28 Oct 2025 14:01:48 +0100

django-cas-server (3.1.0-1) unstable; urgency=medium

  [ William Blough ]
  * Replace watch file with autogenerated version from pypi.debian.net
  * New upstream version 3.1.0
  * Refresh patches
  * Update standards version to 4.7.2 (no changes)

 -- William Blough <bblough@debian.org>  Sun, 19 Oct 2025 14:19:01 -0400

=== debian/control ===
Source: django-cas-server
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: William Blough <bblough@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-django,
               python3-pytest-runner,
               python3-requests-futures,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-lxml
Standards-Version: 4.7.2
Homepage: https://github.com/nitmir/django-cas-server
Vcs-Git: https://salsa.debian.org/python-team/packages/django-cas-server.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-cas-server
Testsuite: autopkgtest-pkg-python

Package: python3-django-cas-server
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-django-cas-server-doc
Description: CAS server library for Django
 CAS Server is a Django application implementing the Central Authentication
 Service (CAS) Protocol version 3.0 specification.
 .
 This package installs the library for Python 3.

Package: python3-django-cas-server-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: CAS server library for Django (documentation)
 CAS Server is a Django application implementing the Central Authentication
 Service (CAS) Protocol version 3.0 specification.
 .
 This package installs the library documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=django-cas-server
export PYBUILD_DISABLE=test

DH_FLAGS=--buildsystem=pybuild

%:
	dh $@ $(DH_FLAGS)

%-indep:
	dh $@ $(DH_FLAGS) --with sphinxdoc

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ -d debian/doctrees build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ -d debian/doctrees build/man # Manpage generator


override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/doctrees

=== debian/tests/control ===
Tests: run_test_suite
Depends:
 python3-django-cas-server,
 python3-pytest,
 python3-pytest-django
#python3-pytest-pythonpath

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-cas-server/django-cas-server-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
